UNLOCKPT(3)

NAME
unlockpt - unlock a pseudo-terminal master/slave pair

SYNOPSIS
#define _XOPEN_SOURCE
#include <stdlib.h>

int unlockpt(int fd);

DESCRIPTION
The unlockpt() function unlocks the slave pseudo-terminal device (pty) corresponding to the master pty referred to by fd.

unlockpt() should be called before opening the slave side of a pty.

RETURN VALUE
When successful, unlockpt() returns 0. Otherwise, it returns -1 and sets errno appropriately.

ERRORS

EBADF
    The fd argument is not a file descriptor open for writing.

EINVAL
    The fd argument is not associated with a master pty.

CONFORMING TO
POSIX.1-2001.

SEE ALSO
grantpt(3), posix_openpt(3), ptsname(3), pts(4), feature_test_macros(7), pty(7)

COLOPHON
This page is part of release 2.79 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.